.vispa-mainview.file2-filemainview {
}

@detail-line-height: 36px;
@detail-header-height: 30px;
@icons-width: 7.5em;
@icons-max-lines: 3;
@icons-icon-padding: 0.3;
@icons-icon-lines: 2.5;
@icons-line-height: 1.15em;
@icons-select-size: 1.25em;
@navbar-height: 30px;

@item-color-base: #ffffff;
@item-color-select: #ccccff;
@item-color-drag-src: #ffbb66;
@item-color-drag-dst: #bbff66;
@item-darken-even: 2%;

#file2-File2Upload > div {
  > h3 {
    > i {
      margin-right: 7px;
    }
    margin: 5px 0px;
  }
  > .item {
    border-top: 1px solid white;
    margin: 4px 0px;
    > * {
      margin: 3px 0px;
    }
    > h4 {
      white-space: nowrap;
      text-overflow: ellipsis;
    }
    > .probar {
      display: flex;
      flex-direction: row;
      flex-wrap: nowrap;
      > .progress-bar {
        flex: 1 0 1px;
        border-radius: 3px;
      }
      > button {
        flex: 0 0 auto;
      }
    }
    > .container {
      display: none;
    }
  }
}

.fileselector2 {
  height: 70vh;
}

.file2.browser {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  overflow: hidden;
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  a {
    cursor: pointer;
  }
  > .context-menu {
    > button {
      display: none;
    }
    > ul {
      position: fixed;
      top: auto;
      right: auto;
      bottom: auto;
      left: auto;
    }
  }
  > .navigation-bar {
    flex: 0 0 @navbar-height;
    display: flex;
    background-color: #f5f5f5;
    align-items: center;
    > .divider {
      flex: 0 0 0px;
      height: @navbar-height/2;
      border: 1px solid #888888;
    }
    > .bookmark-button {
      flex: 0 0 @navbar-height;
      text-align: center;
      .bookmark-item {
        > a {
          display: flex;
          vertical-align: middle;
          > div {
            flex: 1 0 1px;
            > input {
              border: 0px;
              padding: 0px;
            }
            margin-right: 0.2em;
          }
          > span {
            flex: 0 0 15px;
            opacity: 0.5;
            &:hover {
              opacity: 1;
            }
          }
        }
      }
    }
    > .path {
      flex: 1 0 1px;
      > .breadcrumb {
        margin: 0px;
        padding: 0 15px;
        > .dropok > a {
          background-color: @item-color-drag-dst !important;
        }
      }
      > .path-edit {
        display: flex;
        margin: 5px;
        background-color: white;
        > * {
          padding: 1px 6px;
        }
        input {
          flex: 1 0 1px;
          border: none;
        }
        button {
        }
      }
    }
  }
  > .item-container {
    flex: 1 0 1px;
    .overflow {
      text-align: center;
      > ul {
        display: inline-block;
        text-align: initial;
        > li {
          cursor: pointer;
        }
      }
    }
    &.hide-modified .modified,
    &.hide-size .size,
    &.hide-actions .actions {
      display: none;
    }
    &.mini-actions .actions span {
      display: none;
    }
    &.detail {
      display: flex;
      flex-direction: column;
      flex-wrap: nowrap;
      > .header {
        flex: 0 0 @detail-header-height;
        border-bottom: 1px solid black;
      }
      > .items {
        flex: 1 0 1px;
        overflow-y: scroll;
        > .item {
          height: @detail-line-height;
        }
        &.dropok {
          background-color: @item-color-drag-dst !important;
          > .item {
            background: none;
          }
        }
      }
      > .items > .item, > .header {
        display: flex;
        flex-direction: row;
        flex-wrap: nowrap;
        align-items: center;
        cursor: pointer;
        > div {
          margin: 3px;
          overflow: hidden;
        }
        > .icon {
          flex: 0 0 @detail-line-height;
          position: relative;
          text-align: center;
          > i {
            font-size: 28px
          }
          > input {
            position: absolute;
            bottom: -1px;
            right: 2px;
            opacity: 0.7;
            &:checked {
              opacity: 1.0;
            }
            // pointer-events: none;
          }
        }
        > .actions {
          font-size: 80%;
          > a {
            margin-right: 13px;
            > i {
              margin-right: 3px;
            }
          }
          // opacity: 0.5;
        }
        &:not(:hover) > .actions {
          opacity: 0.4;
        }
        &.selected > .actions {
          opacity: 1.0;
        }
        > .processing {
          flex: 0 0 20px;
        }
        > .name {
          flex: 1 1 0px;
          display: flex;
          white-space: nowrap;
          > .root {
            overflow: hidden;
            text-overflow: ellipsis;
          }
          > input {
            flex: 1 1;
          }
        }
        > .size {
          flex: 0 0 70px;
          text-align: right;
        }
        > .modified {
          text-align: right;
          flex: 0 0 170px;
        }
      }
      // color for the row
    }
    &.icons {
      overflow-y: scroll;
      &.dropok {
        background-color: @item-color-drag-dst !important;
        > .items > .item {
          background: none;
        }
      }
      > .items {
        display: flex;
        flex-flow: row wrap;
        justify-content: flex-start;
        align-items: stretch;
        align-content: flex-start;
        padding: 0.5em;
        > .item {
          flex: @icons-width 0 0;
          max-width: @icons-width;
          margin: 0.3 * @icons-line-height;
          padding: 0.2 * @icons-line-height;
          border-radius: 0.5 * @icons-line-height;
          cursor: pointer;
          &:hover {
            background-color: darken(@item-color-base, @item-darken-even);
            > .icon > input {
              opacity: 0.7;
            }
          }
          &.selected {
            background-color: @item-color-select;
          }
          > .icon {
            height: (@icons-icon-lines + 2 * @icons-icon-padding) * @icons-line-height;
            position: relative;
            text-align: center;
            padding: @icons-icon-padding * @icons-line-height;
            > i {
              font-size: @icons-icon-lines * @icons-line-height;
            }
            > input {
              width: @icons-select-size;
              height: @icons-select-size;
              position: absolute;
              top: 0px;
              left: 0px;
              margin: 0px;
              opacity: 0.2;
              &:checked {
                opacity: 1.0;
              }
            }
          }
          > .name {
            text-align: center;
            word-break: break-all;
            display: block;
            display: -webkit-box;
            max-height: @icons-line-height * @icons-max-lines + 0.1em;
            margin: 0.15em;
            line-height: @icons-line-height;
            -webkit-line-clamp: @icons-max-lines;
            -webkit-box-orient: vertical;
            overflow: hidden;
            text-overflow: ellipsis;
          }
        }
      }


    }
  }
  > .filter {
    position: absolute;
    background: white;
    z-index: 25;
    bottom: 0px;
    left: 25px;
    border: 1px solid black;
    border-radius: 3px 3px 0 0;
    border-bottom: 0px;
    padding: 2px;
    > .count {
      display: inline-block;
      min-width: 35px;
      padding: 0 1px;
      > i {
        margin: 0 2px;
      }
    }
    > .error {
    }
    &.error {
      color: darken(red, 20%);
    }
  }
  .item-container .item {
    &.selected.odd {background-color: @item-color-select;}
    &.selected.even {background-color: darken(@item-color-select, @item-darken-even);}
    &.odd {background-color: @item-color-base;}
    &.even {background-color: darken(@item-color-base, @item-darken-even);}
    &.drag {background-color: @item-color-drag-src !important;}
    &.drop {background-color: @item-color-drag-dst !important;}
  }
}
